/*
 * Click nbfs://nbhost/SystemFileSystem/Templates/Licenses/license-default.txt to change this license
 * Click nbfs://nbhost/SystemFileSystem/Templates/Classes/Class.java to edit this template
 */
package com.qsoft.rs.sincoar.model;

import java.io.Serializable;
import java.math.BigInteger;
import javax.persistence.Basic;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.NamedQueries;
import javax.persistence.NamedQuery;
import javax.persistence.Table;
import javax.xml.bind.annotation.XmlRootElement;

/**
 *
 * @author developer2
 */
@Entity
@Table(name="COMACO.VW_TARMTIPOARMAEXPLOSIVO")
@XmlRootElement
@NamedQueries({
    @NamedQuery(name = "VwTarmtipoarmaexplosivo.findAll", query = "SELECT v FROM VwTarmtipoarmaexplosivo v"),
    @NamedQuery(name = "VwTarmtipoarmaexplosivo.findByCtipoarmaexplosivo", query = "SELECT v FROM VwTarmtipoarmaexplosivo v WHERE v.ctipoarmaexplosivo = :ctipoarmaexplosivo"),
    @NamedQuery(name = "VwTarmtipoarmaexplosivo.findByLongitud", query = "SELECT v FROM VwTarmtipoarmaexplosivo v WHERE v.longitud = :longitud"),
    @NamedQuery(name = "VwTarmtipoarmaexplosivo.findByDesclongitud", query = "SELECT v FROM VwTarmtipoarmaexplosivo v WHERE v.desclongitud = :desclongitud"),
    @NamedQuery(name = "VwTarmtipoarmaexplosivo.findByCalibre", query = "SELECT v FROM VwTarmtipoarmaexplosivo v WHERE v.calibre = :calibre"),
    @NamedQuery(name = "VwTarmtipoarmaexplosivo.findByDesccalibre", query = "SELECT v FROM VwTarmtipoarmaexplosivo v WHERE v.desccalibre = :desccalibre"),
    @NamedQuery(name = "VwTarmtipoarmaexplosivo.findByRecordversion", query = "SELECT v FROM VwTarmtipoarmaexplosivo v WHERE v.recordversion = :recordversion"),
    @NamedQuery(name = "VwTarmtipoarmaexplosivo.findByClase", query = "SELECT v FROM VwTarmtipoarmaexplosivo v WHERE v.clase = :clase"),
    @NamedQuery(name = "VwTarmtipoarmaexplosivo.findByDescclase", query = "SELECT v FROM VwTarmtipoarmaexplosivo v WHERE v.descclase = :descclase"),
    @NamedQuery(name = "VwTarmtipoarmaexplosivo.findByTipoarmaexplosivo", query = "SELECT v FROM VwTarmtipoarmaexplosivo v WHERE v.tipoarmaexplosivo = :tipoarmaexplosivo"),
    @NamedQuery(name = "VwTarmtipoarmaexplosivo.findByDesctipo", query = "SELECT v FROM VwTarmtipoarmaexplosivo v WHERE v.desctipo = :desctipo"),
    @NamedQuery(name = "VwTarmtipoarmaexplosivo.findByUnidadmedidapeso", query = "SELECT v FROM VwTarmtipoarmaexplosivo v WHERE v.unidadmedidapeso = :unidadmedidapeso"),
    @NamedQuery(name = "VwTarmtipoarmaexplosivo.findByDescunidadpeso", query = "SELECT v FROM VwTarmtipoarmaexplosivo v WHERE v.descunidadpeso = :descunidadpeso")})
public class VwTarmtipoarmaexplosivo implements Serializable {

    private static final long serialVersionUID = 1L;
    @Basic(optional = false)
    @Column(name = "CTIPOARMAEXPLOSIVO")
    private String ctipoarmaexplosivo;
    @Column(name = "LONGITUD")
    private String longitud;
    @Column(name = "DESCLONGITUD")
    private String desclongitud;
    @Column(name = "CALIBRE")
    private String calibre;
    @Column(name = "DESCCALIBRE")
    private String desccalibre;
    @Column(name = "RECORDVERSION")
    private BigInteger recordversion;
    @Column(name = "CLASE")
    private String clase;
    @Column(name = "DESCCLASE")
    private String descclase;
    @Column(name = "TIPOARMAEXPLOSIVO")
    private String tipoarmaexplosivo;
    @Column(name = "DESCTIPO")
    private String desctipo;
    @Column(name = "UNIDADMEDIDAPESO")
    private String unidadmedidapeso;
    @Column(name = "DESCUNIDADPESO")
    private String descunidadpeso;

    public VwTarmtipoarmaexplosivo() {
    }

    public String getCtipoarmaexplosivo() {
        return ctipoarmaexplosivo;
    }

    public void setCtipoarmaexplosivo(String ctipoarmaexplosivo) {
        this.ctipoarmaexplosivo = ctipoarmaexplosivo;
    }

    public String getLongitud() {
        return longitud;
    }

    public void setLongitud(String longitud) {
        this.longitud = longitud;
    }

    public String getDesclongitud() {
        return desclongitud;
    }

    public void setDesclongitud(String desclongitud) {
        this.desclongitud = desclongitud;
    }

    public String getCalibre() {
        return calibre;
    }

    public void setCalibre(String calibre) {
        this.calibre = calibre;
    }

    public String getDesccalibre() {
        return desccalibre;
    }

    public void setDesccalibre(String desccalibre) {
        this.desccalibre = desccalibre;
    }

    public BigInteger getRecordversion() {
        return recordversion;
    }

    public void setRecordversion(BigInteger recordversion) {
        this.recordversion = recordversion;
    }

    public String getClase() {
        return clase;
    }

    public void setClase(String clase) {
        this.clase = clase;
    }

    public String getDescclase() {
        return descclase;
    }

    public void setDescclase(String descclase) {
        this.descclase = descclase;
    }

    public String getTipoarmaexplosivo() {
        return tipoarmaexplosivo;
    }

    public void setTipoarmaexplosivo(String tipoarmaexplosivo) {
        this.tipoarmaexplosivo = tipoarmaexplosivo;
    }

    public String getDesctipo() {
        return desctipo;
    }

    public void setDesctipo(String desctipo) {
        this.desctipo = desctipo;
    }

    public String getUnidadmedidapeso() {
        return unidadmedidapeso;
    }

    public void setUnidadmedidapeso(String unidadmedidapeso) {
        this.unidadmedidapeso = unidadmedidapeso;
    }

    public String getDescunidadpeso() {
        return descunidadpeso;
    }

    public void setDescunidadpeso(String descunidadpeso) {
        this.descunidadpeso = descunidadpeso;
    }
    
}
